%define name avatar-factory
%define version 0.8
%define release %mkrel 1

Name: 	 %{name}
Version: %{version}
Release: %{release}
Summary: Create eye candy shortcuts for music albums, photo albums, and more... 
Group:   Graphical desktop/GNOME
License: GPL
URL:    http://www.gnomefiles.org/app.php/Avatar_Factory/
Source: %{name}-%{version}.tar.bz2
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: zenity
Requires: ImageMagick


%description
Avatar Factory is a bash script that creates shortcuts (Desktop Entry files)
with eye candy icons that represent music albums, photo albums, DVD films,
youtube videos, mame roms, comics, and more. When clicked the avatars can
perform different actions as launching a video, start playing some music
(compatible with many music players), open a folder, etc...
They can be viewed in Nautilus, Thunar or any application that support
Desktop Entry files.

%prep

%setup -q -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT/usr/local/share/%{name}
cp -af Avatar-Factory/* *.png \
                $RPM_BUILD_ROOT/usr/local/share/%{name}

install -dm 755 $RPM_BUILD_ROOT/usr/local/bin
install -m 755 %{name} \
                $RPM_BUILD_ROOT/usr/local/bin

install -dm 755 $RPM_BUILD_ROOT/%{_datadir}/applications
install -m 755 avatar-factory.desktop \
                $RPM_BUILD_ROOT/%{_datadir}/applications

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/local/bin/*
/usr/local/share/%{name}
%{_datadir}/applications/*.desktop

%changelog
* Mon Jun 22 2009 slick50 <lxgator@gmail.com> 0.8-1pclos2009
- 0.8

* Sat May 02 2009 Texstar <texstar@gmail.com> 0.7.0-2pclos2009
- fix group

* Wed Aug 22 2008 Slick50 <slick50@linuxgator.org> 0.7.0-1pclos2007
- initial build
